Skip to content
Get started

Add

PUT/collections/{collectionId}/assets

Add assets to a specific collection

Path ParametersExpand Collapse
collectionId: string
Body ParametersJSONExpand Collapse
assetIds: array of string

The ids of the assets to add to the collection. (Max 49 at once)

ReturnsExpand Collapse
collection: object { id, assetCount, createdAt, 6 more }
id: string

The collection ID (example: “asset_GTrL3mq4SXWyMxkOHRxlpw”)

assetCount: number
createdAt: string

The collection creation date as an ISO string (example: “2023-02-03T11:19:41.579Z”)

itemCount: number
modelCount: number
name: string

The collection name

ownerId: string

The owner ID (example: “dcf121faaa1a0a0bbbd9ca1b73d62aea”)

updatedAt: string

The collection last update date as an ISO string (example: “2023-02-03T11:19:41.579Z”)

thumbnail: optional object { assetId, url }

The thumbnail for the collection (if any)

assetId: string
url: string

Add

curl https://api.cloud.scenario.com/v1/collections/$COLLECTION_ID/assets \
    -X PUT \
    -H 'Content-Type: application/json' \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
    -d '{
          "assetIds": [
            "string"
          ]
        }'
{
  "collection": {
    "id": "id",
    "assetCount": 0,
    "createdAt": "createdAt",
    "itemCount": 0,
    "modelCount": 0,
    "name": "name",
    "ownerId": "ownerId",
    "updatedAt": "updatedAt",
    "thumbnail": {
      "assetId": "assetId",
      "url": "url"
    }
  }
}
Returns Examples
{
  "collection": {
    "id": "id",
    "assetCount": 0,
    "createdAt": "createdAt",
    "itemCount": 0,
    "modelCount": 0,
    "name": "name",
    "ownerId": "ownerId",
    "updatedAt": "updatedAt",
    "thumbnail": {
      "assetId": "assetId",
      "url": "url"
    }
  }
}